FactoryType.Type (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.annotations, annotation type: FactoryType, enum: Type

Package org.apache.cxf.annotations

# Enum Class FactoryType.Type

java.lang.Object
java.lang.Enum<FactoryType.Type>
org.apache.cxf.annotations.FactoryType.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<FactoryType.Type>`, `Constable`

Enclosing class:
  FactoryType

public static enum FactoryType.Type extends Enum<FactoryType.Type>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `PerRequest`
  `Pooled`
  `Session`
  `Singleton`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FactoryType.Type`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static FactoryType.Type[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Singleton

    public static final FactoryType.Type Singleton

  - ### Session

    public static final FactoryType.Type Session

  - ### Pooled

    public static final FactoryType.Type Pooled

  - ### PerRequest

    public static final FactoryType.Type PerRequest

- ## Method Details

  - ### values

    public static FactoryType.Type[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static FactoryType.Type valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null